For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Guías (Español)Guides (English)Referencia API
  • Referencia API
      • GETListar checkouts
      • POSTCrear un checkout
      • GETObtener detalles de un checkout
      • PUTActualizar un checkout
LogoLogo
Referencia APICheckouts

Actualizar un checkout

PUT
https://app.recurrente.com/api/checkouts/:id
PUT
/api/checkouts/:id
$curl -X PUT https://app.recurrente.com/api/checkouts/id \
> -H "X-SECRET-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "id": "ch_lmgbvesmihkqzma3",
3 "status": "paid",
4 "total_in_cents": 3000,
5 "subtotal_in_cents": 3500,
6 "discount": {
7 "amount_in_cents": 500,
8 "coupon": {
9 "id": "coup_ugwoxcp4",
10 "name": "VERANO25",
11 "discount_mode": "code",
12 "display_name": "string",
13 "amount_off_in_cents": 1500,
14 "percent_off": 1.1,
15 "automatically_applies": false,
16 "max_redemptions": 1,
17 "times_redeemed": 0,
18 "currency": "GTQ",
19 "duration": "once",
20 "expires_at": "2024-01-15T09:30:00Z",
21 "status": "active"
22 }
23 },
24 "currency": "GTQ",
25 "live_mode": true,
26 "success_url": "string",
27 "cancel_url": "string",
28 "expires_at": "2024-01-15T09:30:00Z",
29 "created_at": "2024-01-15T09:30:00Z",
30 "metadata": {},
31 "custom_fields": [
32 {
33 "field_id": "ccf_xxxxxxxxxxxx",
34 "key": "engraving",
35 "type": "text",
36 "value": "string"
37 }
38 ],
39 "transfer_setups": [
40 {
41 "id": "string",
42 "status": "string",
43 "amount_in_cents": 1,
44 "currency": "string",
45 "recipient_id": "string"
46 }
47 ],
48 "latest_intent": {
49 "id": "string",
50 "type": "string",
51 "created_at": "2024-01-15T09:30:00Z",
52 "data": {
53 "auth_code": "string"
54 }
55 },
56 "payment": {
57 "id": "string",
58 "paymentable": {
59 "type": "Subscription",
60 "id": "string",
61 "tax_name": "string",
62 "tax_id": "string",
63 "address": {
64 "address_line_1": "string",
65 "address_line_2": "string",
66 "city": "string",
67 "region": "string",
68 "country": "string",
69 "zip_code": "string"
70 },
71 "phone_number": "string"
72 }
73 },
74 "payment_method": {
75 "id": "string",
76 "type": "card",
77 "card": {
78 "last4": "4242",
79 "expiration_month": 12,
80 "expiration_year": 2028,
81 "network": "visa",
82 "issuer_name": "string"
83 },
84 "address": {
85 "address_line_1": "string",
86 "address_line_2": "string",
87 "city": "string",
88 "region": "string",
89 "country": "string",
90 "zip_code": "string"
91 },
92 "phone_number": "string"
93 }
94}

Actualiza las URLs de éxito/cancelación, metadata o la fecha de expiración de un checkout. Solo los checkouts no pagados pueden ser editados.

Was this page helpful?
Previous

Listar productos

Next
Built with

Authentication

X-SECRET-KEYstring
Tu llave secreta de API

Path parameters

idstringRequired
ID del checkout

Request

This endpoint expects an object.
success_urlstringOptionalformat: "uri"

Nueva URL de éxito

cancel_urlstringOptionalformat: "uri"

Nueva URL de cancelación

metadatamap from strings to stringsOptional
Metadata personalizada
expires_atdatetimeOptional

Nueva fecha de expiración

discount_codestringOptional

Código de descuento/cupón a aplicar al checkout

Response

Checkout actualizado
idstring

ID único del checkout

statusenum
Estado del checkout
Allowed values:
total_in_centsinteger

Monto total en centavos (después de descuentos)

subtotal_in_centsinteger

Monto subtotal en centavos (antes de descuentos)

discountobject or null

Descuento aplicado al checkout (null si no hay descuento)

currencyenum
Moneda del checkout
Allowed values:
live_modeboolean

Si el checkout está en modo producción (true) o prueba (false)

success_urlstring

URL de redirección en caso de pago exitoso

cancel_urlstring

URL de redirección en caso de cancelación

expires_atdatetime

Fecha de expiración del checkout

created_atdatetime

Fecha de creación

metadatamap from strings to strings
Metadata personalizada
custom_fieldslist of objects

Valores recolectados de los campos personalizados. Si el checkout tiene múltiples productos, cada producto contribuye sus propias entradas — la key puede repetirse entre productos. Usa field_id como identificador canónico al reconciliar valores.

transfer_setupslist of objects
Configuraciones de transferencia asociadas
latest_intentobject or null

Último payment intent asociado

paymentobject or null

Información del pago (si está pagado)

payment_methodobject or null

Método de pago utilizado